cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Michael Shuler (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CASSANDRA-9087) Error in snappy-1.0.5 on REHL 5
Date Wed, 01 Apr 2015 17:41:53 GMT

    [ https://issues.apache.org/jira/browse/CASSANDRA-9087?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14391055#comment-14391055
] 

Michael Shuler commented on CASSANDRA-9087:
-------------------------------------------

As someone mentioned to me - alternatively, you could try replacing the snappy jar in the
Apache Cassandra tar with 1.0.4.1 found on a maven mirror.

> Error in snappy-1.0.5 on REHL 5
> -------------------------------
>
>                 Key: CASSANDRA-9087
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-9087
>             Project: Cassandra
>          Issue Type: Bug
>         Environment: apache-cassandra-2.1.3
>  RHEL5
>            Reporter: dewnie perera
>            Assignee: Michael Shuler
>
> I'm getting a below exception when running cassandra on RHEL5. 
> ========================================
> {code}
> java.lang.reflect.InvocationTargetException
> 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
> 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
> 	at java.lang.reflect.Method.invoke(Method.java:606)
> 	at org.xerial.snappy.SnappyLoader.loadNativeLibrary(SnappyLoader.java:322)
> 	at org.xerial.snappy.SnappyLoader.load(SnappyLoader.java:229)
> 	at org.xerial.snappy.Snappy.<clinit>(Snappy.java:48)
> 	at org.apache.cassandra.io.compress.SnappyCompressor.create(SnappyCompressor.java:47)
> 	at org.apache.cassandra.io.compress.SnappyCompressor.isAvailable(SnappyCompressor.java:57)
> 	at org.apache.cassandra.io.compress.SnappyCompressor.<clinit>(SnappyCompressor.java:39)
> 	at java.lang.Class.forName0(Native Method)
> 	at java.lang.Class.forName(Class.java:191)
> 	at org.apache.cassandra.io.compress.CompressionParameters.parseCompressorClass(CompressionParameters.java:162)
> 	at org.apache.cassandra.io.compress.CompressionParameters.<init>(CompressionParameters.java:73)
> 	at org.apache.cassandra.io.compress.CompressionParameters.create(CompressionParameters.java:66)
> 	at org.apache.cassandra.config.CFMetaData.internalFromThrift(CFMetaData.java:1087)
> 	at org.apache.cassandra.config.CFMetaData.fromThrift(CFMetaData.java:994)
> 	at org.apache.cassandra.thrift.CassandraServer.system_add_column_family(CassandraServer.java:1540)
> 	at org.apache.cassandra.thrift.Cassandra$Processor$system_add_column_family.getResult(Cassandra.java:4402)
> 	at org.apache.cassandra.thrift.Cassandra$Processor$system_add_column_family.getResult(Cassandra.java:4386)
> 	at org.apache.thrift.ProcessFunction.process(ProcessFunction.java:39)
> 	at org.apache.thrift.TBaseProcessor.process(TBaseProcessor.java:39)
> 	at org.apache.cassandra.thrift.CustomTThreadPoolServer$WorkerProcess.run(CustomTThreadPoolServer.java:205)
> 	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
> 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
> 	at java.lang.Thread.run(Thread.java:745)
> Caused by: java.lang.UnsatisfiedLinkError: /tmp/snappy-1.0.5.2-libsnappyjava.so: /usr/lib64/libstdc++.so.6:
version `GLIBCXX_3.4.9' not found (required by /tmp/snappy-1.0.5.2-libsnappyjava.so)
> 	at java.lang.ClassLoader$NativeLibrary.load(Native Method)
> 	at java.lang.ClassLoader.loadLibrary1(ClassLoader.java:1965)
> 	at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1890)
> 	at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1851)
> 	at java.lang.Runtime.load0(Runtime.java:795)
> 	at java.lang.System.load(System.java:1062)
> 	at org.xerial.snappy.SnappyNativeLoader.load(SnappyNativeLoader.java:39)
> 	... 26 more{code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message